package com.lazy.emulate.ui.navigation

sealed class Screen(val route: String) {
    data object Home : Screen("home")
    data object Settings : Screen("settings")
    data object ControllerSettings : Screen("controller_settings")
    data object ControllerTest : Screen("controller_test")
    data object ControllerLayout : Screen("controller_layout/{consoleType}") {
        fun createRoute(consoleType: String) = "controller_layout/$consoleType"
    }
    data object Game : Screen("game/{gameId}") {
        fun createRoute(gameId: String) = "game/$gameId"
    }
}
